///! run.rs May 2022
///! run() does the work of main(). Moving it out of main.rs speeds compiles.

use crate::*;

pub const N_THREADS: usize = 4;

pub fn run() {
    p!();                               // Move away from compiler messages.

    let scope = Scope {
        n_test_muls: 1000,
        draw: Best,
        synth: All,
        test: All,
        abandon_overcost: true,
        d_flip_flops_avail: true,
        strategy: OptimizeAll,
        join_reservation: 3,            // 3 intended as best, 1 for tiny RAMs
    };

    try_configs(24.., .., "e", "", (18, 18), &scope);

    pp!("\x07");                        // make noise to indicate done
}
